<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_search.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."infusions_include.php";
add_to_head("<link rel='stylesheet' href='".INFUSIONS."user_find/uf.css' type='text/css' media='screen' />");

if (!iMEMBER && $settings['hide_userprofiles'] == 1) { redirect(BASEDIR."login.php"); }

if (file_exists(INFUSIONS."user_find/locale/".$settings['locale'].".php")) {
	include INFUSIONS."user_find/locale/".$settings['locale'].".php";
} else { include INFUSIONS."user_find/locale/English.php"; }

opentable($locale['us_01']);

echo "<center><form name='userfind' id='userfind'>\n";
echo "<div><b>".$locale['us_02']."</b>";
                echo "<input type='text' autocomplete='off' id='user' class='bigtextbox' onKeyUp='user_suggestion()'>\n";
                echo "<div id='suggestion'></div>\n</div>\n";
echo "</form>\n</center>";

echo "<script>
function user_suggestion()
{
var user = document.getElementById('user').value;
var xhr;
 if (window.XMLHttpRequest) { // Mozilla, Safari, 
    xhr = new XMLHttpRequest();
} else if (window.ActiveXObject) { // IE 8 and older
    xhr = new ActiveXObject('Microsoft.XMLHTTP');
}
var data = 'user_name=' + user;
     xhr.open('POST', 'user-suggestion.php', true); 
     xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
     xhr.send(data);
	 xhr.onreadystatechange = display_data;
	function display_data() {
	 if (xhr.readyState == 4) {
      if (xhr.status == 200) {
       //alert(xhr.responseText);	   
	  document.getElementById('suggestion').innerHTML = xhr.responseText;
      } else {
        alert('There was a problem with the request.');
      }
     }
	}
}
</script>\n";

closetable();

require_once THEMES."templates/footer.php";
?>
